Bug 1231686 - No nightly build for 3.7.x
Summary: No nightly build for 3.7.x
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: GlusterFS
Classification: Community
Component: project-infrastructure
Version: 3.7.6
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-15 08:50 UTC by Richard
Modified: 2017-01-12 01:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-12 01:47:34 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Richard 2015-06-15 08:50:26 UTC
Description of problem: There are no 3.7.x nightly build rpm's available via DGO:

http://download.gluster.org/pub/gluster/glusterfs/nightly/dgo-nightly/

Please could an RPM for the configuration required to test 3.7.x be added to the list of nightly build rpm's we can test with.

Also, could the nightly service build the required RPM's to install the dev verison of 3.7.x

Thanks,

Richard

Comment 1 Richard 2015-06-16 12:18:53 UTC
if I install the 3.6 dgo-nightly rpm and edit it by replacing 3.6 with 3.7 I have been able to install this release today:

glusterfs-3.7.1-0.68.git475b236.el6.x86_64

So its part way there, just seems that the gdo-nightly-3.7 rpm needs building.

Comment 2 Kaleb KEITHLEY 2015-10-22 17:00:12 UTC
changing version to mainline in order to retire pre-release.

If you know the appropriate, correct version for this bug, please
set it.

Comment 3 Kaleb KEITHLEY 2015-10-22 17:06:51 UTC
changing version to mainline in order to retire pre-release.

If you know the appropriate, correct version for this bug, please
set it.

Comment 4 Kaleb KEITHLEY 2015-10-22 17:11:18 UTC
changing version to mainline in order to retire pre-release.

If you know the appropriate, correct version for this bug, please
set it.

Comment 5 Richard 2015-10-22 18:55:13 UTC
I can't set it, there is no option for ALL 3.7 releases. Basically I want to be able to install the 3.7 nightly builds via an RPM Repo provided from the dgo-nightly folder.

Going with the format of RPM's on the page listed in the opening comment of this bug report we need this created:

http://download.gluster.org/pub/gluster/glusterfs/nightly/dgo-nightly/dgo-nightly-37-1.0-0.1.?????.noarch.rpm

Where ???? is:

el6
el7
fc22
etc
etc

Thanks,

Rich

Comment 6 Niels de Vos 2016-10-17 13:20:55 UTC
There are no longer packages for repository files to get the nightly builds. The nightly builds are hosted on the CentOS infrastructure and can be used withe the repo files from here:
  http://artifacts.ci.centos.org/gluster/nightly/


@infra-team: the old nightly builds can be removed from download.gluster.org

Comment 7 Nigel Babu 2016-10-18 12:42:23 UTC
I believe the Centos CI team strongly suggestings on having artifacts.ci.centos.org for internal consumption. We should probably sync it to downloads.gluster.org so our users don't DDoS artifacts.ci.centos.org.

Niels, what do you think?

Comment 8 Niels de Vos 2016-10-18 13:24:50 UTC
(In reply to Nigel Babu from comment #7)
> I believe the Centos CI team strongly suggestings on having
> artifacts.ci.centos.org for internal consumption. We should probably sync it
> to downloads.gluster.org so our users don't DDoS artifacts.ci.centos.org.

Sure, we can do that as well.

- Would we then also (re)add the dgo-nightly 'release' RPMs?
- What can cause a sync from the artifacts server to d.g.o?

Comment 9 Nigel Babu 2016-11-03 02:09:08 UTC
* Yep. If you have the xml from the last time, go ahead and add it back.
* I'll happily take a ticket to setup automation to sync that over to d.g.o.

Comment 10 Nigel Babu 2017-01-12 01:47:34 UTC
We will not be providing nightly releases for older versions. Going forward, we plan to have this working as part of the pipeline work. But that wouldn't bring in 3.7 versions. We're shooting for next upcoming release.


Note You need to log in before you can comment on or make changes to this bug.